/* font ================================================ */
@font-face {
  font-family: "variableFont";
  src: url("./font/RobotoFlex.ttf") format("truetype");
}

/* Layout ================================================ */
html,
body {
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  overflow: hidden;
}

body {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  background-color: rgb(0, 221, 255);


}
  

/* Webcam ================================================ */
video {
  position: fixed;
  top: 5%;
  left: 35%;
  width: 30vw;
  height: 30vh;
  object-fit: cover;
  transform: scaleX(-1);
  z-index: 1;
}

/* Fixed hat ================================================ */
#hat {
  position: fixed;

  transform: translate(-50%, -160%);
  width: 220px;
  height: 220px;

  background-image: url('./img/hat.png');
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;

  z-index: 4;
  pointer-events: none;
}

/* Main text ================================================ */
.mainText1 {
  color: rgb(255, 0, 208);
  font-variation-settings:
    "opsz" 144,
    "wght" 400,
    "GRAD" 0,
    "wdth" 100,
    "slnt" 0,
    "XOPQ" 96,
    "YOPQ" 79,
    "XTRA" 468,
    "YTUC" 712,
    "YTLC" 514,
    "YTAS" 750,
    "YTDE" -203,
    "YTFI" 738;
  transition: font-variation-settings 1s ease-in-out;
}

#special {
  position: absolute;
  top: -4%;
  left: 50%;
  transform: translateX(-50%);
  width: 100%;
  text-align: center;
  font-family: "variableFont", sans-serif;
  font-size: 100px;
  color: rgb(238, 0, 255);
  z-index: 3;
  pointer-events: none;
}

/* Hand UI ================================================ */
.handUI {
  position: absolute;
  display: flex;
  flex-direction: column;
  align-items: center;
  min-width: 200px;
  min-height: 200px;
  padding: 10px;
  transform: translate(-50%, 0);
  z-index: 2;
  font-family: "variableFont", sans-serif;
  font-size: 72px;
  color: blue;
  pointer-events: none;

  font-variation-settings:
    "opsz" 14,
    "wght" 400,
    "GRAD" 0,
    "wdth" 100,
    "slnt" 0,
    "XOPQ" 96,
    "YOPQ" 79,
    "XTRA" 468,
    "YTUC" 712,
    "YTLC" 514,
    "YTAS" 750,
    "YTDE" -203,
    "YTFI" 738;
}

.handUI img {
  width: 500px;
  margin-top: 8px;
}

.finalImg {
  width: 1300px;
  height: auto;
  pointer-events: none;
}